Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::ReverseLocker Class Reference

Does the opposite of the Locker to ensure mutex ends up in a locked state. More...

`#include <Mutex.h>`

Collaboration diagram for FIX::ReverseLocker:
[legend]

List of all members.

## Public Member Functions

| ReverseLocker (Mutex &mutex)
| ~ReverseLocker ()

## Private Attributes

Mutex & | m_mutex

## Detailed Description

Does the opposite of the Locker to ensure mutex ends up in a locked state.

Definition at line 113 of file Mutex.h.

## Constructor & Destructor Documentation

FIX::ReverseLocker::ReverseLocker | ( | Mutex & | mutex | ) | `[inline]`

Definition at line 116 of file Mutex.h.

References m_mutex, and FIX::Mutex::unlock().

    00117   : m_mutex( mutex )
    00118   {
    00119     m_mutex.unlock();
    00120   }

FIX::ReverseLocker::~ReverseLocker | ( |  | ) | `[inline]`

Definition at line 122 of file Mutex.h.

References FIX::Mutex::lock(), and m_mutex.

    00123   {
    00124     m_mutex.lock();
    00125   }

## Member Data Documentation

Mutex& FIX::ReverseLocker::m_mutex`[private]`

Definition at line 127 of file Mutex.h.

Referenced by ReverseLocker(), and ~ReverseLocker().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Mutex.h